%define __libtoolize /bin/true
%define libmajor 0
%define name katalog
%define libname %mklibname %name %libmajor

Name:		%{name}
Version:	0.3
Release:	%mkrel 2
Group:		Archiving/Other
License:	GPL
URL:		http://salvaste.altervista.org/
Source:		http://salvaste.altervista.org/%{name}-%{version}.tar.bz2
Buildrequires:	kdelibs-devel
Summary:	Katalog is a CD organizer for the K Desktop Environment
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
With this application you can scan a CD and store all the data about each
file in a tree structured catalog. You can add as many catalogs as you like.
Searching through the catalogs it's easy and fast.

The folder to search can be on your drive or on a removable media, such a CD,
ZIP or floppy.

Katalog saves data in a XML file, compressed on the fly using gzip.

%package -n %libname
Group:		System/Libraries
License:	GPL
Summary:	Library for %{name}

%description -n %libname
Library package for %{name}

%package -n %{libname}-devel
Group:		System/Libraries
License:	GPL
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Provides:	%{_lib}%{name}-devel = %{version}-%{release}

%description -n %libname-devel
Development package for %{name}

%prep
%setup -q

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

#menu
install -d %{buildroot}/%{_menudir}

%clean
rm -Rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/services/*
%{_datadir}/mimelnk/*/*
%{_datadir}/apps/konqueror/servicemenus/%{name}.desktop
%{_iconsdir}/*/*/*/%{name}*.png
%{_libdir}/kde3/*%{name}*
%doc README AUTHORS

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-2mdk
- Fix build for amd64

* Thu Nov 11 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3-1mdk
- Initial Mandrake package
